# vim: set ft=spec: -*- rpm-spec -*-
# $Id: vim-plugin-vimruby,v 1.2 2004/06/26 14:07:02 raorn Exp $

%define plugname vimruby
#define plugtype syntax
%define plugver  20040519

Name: vim-plugin-%plugname
Version: %plugver
Release: alt1.1

Summary: Vim/Ruby Configuration Files
Group: Editors
License: GPL

Url: http://vim-ruby.rubyforge.org/

BuildArch: noarch

Source: vim-ruby-%plugver.tar.bz2

Patch: %name-cvs-alt-disable-default.patch

PreReq: vim-common >= 4:6.3.007-alt1

BuildPreReq: vim-devel

%description
If you edit Ruby code in Vim, there are some configuration files
(distributed with Vim) that aim to make your life easier. These
are maintained by three different people, but are grouped together
in this project so we can keep them all up to date and offer them
in a convenient download.

To enable this plugin define "use_vimruby" variable somewhere
in your .vimrc file.

%prep
%setup -q -n vim-ruby
%patch -p1

%install
%__mkdir_p %buildroot%vim_compiler_dir
%__mkdir_p %buildroot%vim_doc_dir
%__mkdir_p %buildroot%vim_ftplugin_dir
%__mkdir_p %buildroot%vim_indent_dir
%__mkdir_p %buildroot%vim_syntax_dir

%__install -m644 compiler/ruby.vim %buildroot%vim_compiler_dir
%__install -m644 compiler/rubyunit.vim %buildroot%vim_compiler_dir
%__install -m644 ftplugin/ruby.vim %buildroot%vim_ftplugin_dir
%__install -m644 indent/ruby.vim %buildroot%vim_indent_dir
%__install -m644 syntax/ruby.vim %buildroot%vim_syntax_dir
%__install -m644 syntax/doc/ruby.txt %buildroot%vim_doc_dir

%post
%update_vimhelp

%postun
%clean_vimhelp

%files
%doc README ChangeLog
%doc %vim_doc_dir/ruby.txt
%vim_compiler_dir/ruby.vim
%vim_compiler_dir/rubyunit.vim
%vim_ftplugin_dir/ruby.vim
%vim_indent_dir/ruby.vim
%vim_syntax_dir/ruby.vim

%changelog
* Sat Jun 26 2004 Sir Raorn <raorn@altlinux.ru> 20040519-alt1.1
- Fixed buildarch

* Fri Jun 25 2004 Sir Raorn <raorn@altlinux.ru> 20040519-alt1
- Built for Sisyphus


